<?xml version="1.0"?>
<!--

   NOTE: Modifying this file by hand while the server is running will
         require a server restart in order to allow any changes to take
         effect.

-->

<!--
   $Id: system.xml,v 1.3 2004/06/04 19:53:29 bradford Exp $
-->
<dbxml logging="true">
   <server>
      <services>
         <service class="com.dbxml.db.server.services.DBService"
                  name="db">
            <!-- Add dbroot="directory" to the service tag to override the
                 default database location, which is $DBXML_HOME/db -->
            <queryengine>
               <resolver class="com.dbxml.db.common.xpath.XPathQueryResolver"/>
               <resolver class="com.dbxml.db.common.xslt.XSLTQueryResolver"/>
               <resolver class="com.dbxml.db.common.xupdate.XUpdateQueryResolver"/>
               <resolver class="com.dbxml.db.common.fulltext.FullTextQueryResolver"/>
            </queryengine>
            <security class="com.dbxml.db.common.security.DefaultSecurityManager"/>
         </service>
         <service class="com.dbxml.db.server.services.HTTPService"
                  blocking="false"
                  name="HTTPService"
                  host=""
                  port="7280"/>

<!--Uncomment this block if you want to use SSL with dbXML

         <service class="com.dbxml.db.server.services.HTTPService"
                  name="SecureService"
                  host=""
                  port="7643"
                  secure="true"
                  keyfile="./config/server.key"
                  keypass="dbxmlpass"/>

-->
      </services>
   </server>
   <common/>
</dbxml>

